# 
# xenopy.config - Generic config handling code
# Copyright (C) 2005 Jason Chu <jason@archlinux.org>
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 

import os
import os.path

CONFDIR = os.path.expanduser(os.path.join("~",".xenophile"))

def getAccount():
	USERTOK = "username: "
	PASSTOK = "password: "
	makeConfDir()
	accountPath = os.path.join(CONFDIR, "account")
	if not os.path.isfile(accountPath):
		return None
	ac = open(accountPath)
	username = ac.readline()
	if username.startswith(USERTOK):
		username = username[len(USERTOK):-1]
	else:
		return None
	password = ac.readline()
	if password.startswith(PASSTOK):
		password = password[len(PASSTOK):-1]
	else:
		return None
	return (username, password)

def hasConfDir():
	return os.path.isdir(CONFDIR)

def makeConfDir():
	if not hasConfDir():
		os.mkdir(CONFDIR)
